#!/usr/local/bin/perl
use Cwd;

#Use current directory as root
$cosmomc = cwd;

$params =  $ARGV[0];
$num = $ARGV[1];
$start = $ARGV[2];
if ($start == '') {$start = 1;}

$path = $cosmomc;

for ($i=$start; $i<=$num+$start -1; $i++){

open(Fout,">./scripts/script_$i");
print Fout <<EMP;
#!/bin/csh -f
#PBS -N cosmomc
#PBS -l nodes=1:ppn=2
#PBS -q workq
#PBS -l mem=100mb
#
cd $cosmomc
cat \$PBS_NODEFILE > ./scripts/$params.cpu$i
./cosmomc $params.ini $i > ./scripts/$params.log_$i
EMP
close(Fout);

chdir("./scripts");
@args=("qsub","./script_$i");
system(@args);
chdir("../");
}
